<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."vu_tab_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."vu_tab_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."vu_tab_panel/locale/English.php";
}

if (!checkrights("TAB") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$vu_tab_version = "1.1.1";

include_once INFUSIONS."vu_tab_panel/includes/infusion_db.php";
include_once INFUSIONS."vu_tab_panel/includes/nav.php";

if (isset($_GET['step']) && ($_GET['step'] == "delete") && isset($_GET['id']) && isNum($_GET['id'])) {
	$result = dbquery("DELETE FROM ".DB_TAB_PANEL." WHERE tab_id='".$_GET['id']."' LIMIT 1");
	redirect(FUSION_SELF.$aidlink."&amp;status=dl");
} elseif (isset($_POST['save_tab'])) {
	$tab_name = stripinput($_POST['tab_name']);
	$tab_file = stripinput($_POST['tab_file']);
	$tab_image = stripinput($_POST['tab_image']);
	$tab_content = stripinput($_POST['tab_content']);
	$tab_access = stripinput($_POST['tab_access']);
	if (!empty($_POST['tab_id']) && isNum($_POST['tab_id'])) {
		if (!empty($_POST['tab_name'])) {		
			$tab_id = stripinput($_POST['tab_id']);
			$result = dbquery("UPDATE ".DB_TAB_PANEL." SET
				tab_name='$tab_name', 
				tab_file='$tab_file', 
				tab_image='$tab_image', 
				tab_content='$tab_content', 
				tab_access='$tab_access'
			WHERE 
				tab_id='$tab_id'
			");
			redirect(FUSION_SELF.$aidlink."&amp;status=up");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;error=2");
		}	
	} else {
		if (!empty($_POST['tab_name'])) {
			$result = dbquery("INSERT INTO ".DB_TAB_PANEL." (
				tab_name, 
				tab_file, 
				tab_image, 
				tab_content, 
				tab_access 
			) VALUES(
				'$tab_name', 
				'$tab_file', 
				'$tab_image', 
				'$tab_content', 
				'$tab_access'
			)");
			redirect(FUSION_SELF.$aidlink."&amp;status=ad");
		} else {
			redirect(FUSION_SELF.$aidlink."&amp;error=1");
		}
	}
}

if ((isset($_GET['step']) && ($_GET['step'] == "edit") && isset($_GET['id']) && isnum($_GET['id'])) || (isset($_GET['step']) && ($_GET['step'] == "add"))) {
	include INFUSIONS."vu_tab_panel/includes/inc/edit.inc.php";
} else {
	include INFUSIONS."vu_tab_panel/includes/inc/main.inc.php";
}

require_once THEMES."templates/footer.php";
?>