<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

include INFUSIONS."vu_tab_panel/includes/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."vu_tab_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."vu_tab_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."vu_tab_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "1.1.1";
$inf_developer = "Starefossen";
$inf_email = "hans@starefossen.com";
$inf_weburl = "http://dev.starefossen.com";

$inf_folder = "vu_tab_panel";

// Delete any items not required below.
$inf_newtable[1] = DB_TAB_PANEL." (
tab_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
tab_name VARCHAR(200) NOT NULL,
tab_file VARCHAR(300) NOT NULL,
tab_image VARCHAR(300) NOT NULL,
tab_content TEXT NOT NULL,
tab_access MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (tab_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_TAB_PANEL;

$inf_adminpanel[1] = array(
	"title" => $locale['inf_adminpanel'],
	"image" => "tab-panel.gif",
	"panel" => "admin/index.php",
	"rights" => "TAB"
);

?>